# Ansible Managed File
frr defaults datacenter
hostname leaf03
log syslog informational
zebra nexthop proto only
service integrated-vtysh-config
!
interface lo
interface swp51
interface swp52
interface swp53
interface swp54
interface bond1
interface bond2
interface bond3
vrf mgmt
 ip route 0.0.0.0/0 192.168.200.1
 exit-vrf
!
vrf RED
 vni 4001
 exit-vrf
!
vrf BLUE
 vni 4002
 exit-vrf
!
!
router bgp 65103
 bgp router-id 10.10.10.3
 neighbor underlay peer-group
 neighbor underlay remote-as external
 neighbor peerlink.4094 interface peer-group underlay
 neighbor swp51 interface peer-group underlay
 neighbor swp52 interface peer-group underlay
 neighbor swp53 interface peer-group underlay
 neighbor swp54 interface peer-group underlay
 !
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
!
router bgp 65103 vrf RED
 bgp router-id 10.10.10.3
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast
 exit-address-family
!
router bgp 65103 vrf BLUE
 bgp router-id 10.10.10.3
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast
 exit-address-family
!
!
line vty
!
